---
# this is a palmtest build configuration file

compiler:
  id: PGI
  executable: "{{PGI.executable}}"
  mpi_wrapper: "{{PGI.mpi_wrapper}}"
  definitions:
    - "MPI_REAL=MPI_DOUBLE_PRECISION"
    - "MPI_2REAL=MPI_2DOUBLE_PRECISION"
    - "__parallel"
  options:
    default:
      - "-cpp"
      - "-w"
      - "-fast"
      - "-Mfree"
      - "-Mfprelaxed"
    debug:
      - "-cpp"
      - "-C"
      - "-g"
      - "-Minform=inform"
      - "-Mchkfpstk"
      - "-Mchkptr"
      - "-Mchkstk"
      - "-Mpgicoff"
      - "-traceback"
      - "-Mfree"
  includes: []

linker:
  options: []
